POSTLookup entities

Multichain APIhttps://web3.nodit.io/v1/multichain/multichain/lookupEntities

Determines whether the input string corresponds to an entity (Account or Transaction) and returns the result.

Request Body
inputstringrequired

Parameter that specifies the string to query

chainsstring (enum)[]required

Parameter that specifies the chains and networks to include in the results, in {chain}-{network} format.

Responses
inputstringrequired

Returns the string that was entered for the query.

chainstringrequired

String representing the target chain for the query. The actual response returns in {chain}-{network} format.

typestringrequired

Type of the entities(TRANSACTION or ACCOUNT).

normalizedInputstringrequired

Value normalized to the format of the actual target chain. For example,

  • For Aptos, account addresses are normalized to zero-padded 64-digit hex. (e.g., "0x1" -> "0x0000000000000000000000000000000000000000000000000000000000000001")
  • For Tron, account addresses are normalized to base58 strings. (e.g., "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045" -> "TVjpchRyV9wdpj6kmwqVsBDWY1J8PaFtnb")
X-API-KEY
RequestCU1000
cURL
curl -X POST "https://web3.nodit.io/v1/multichain/multichain/lookupEntities" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "input": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045",
  "chains": ["ethereum-mainnet", "base-mainnet", "arbitrum-mainnet"]
}'
Response
Example · 200
{
  "input": "string",
  "items": {
    "input": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045",
    "items": [
      {
        "chain": "arbitrum-mainnet",
        "type": "account",
        "normalizedInput": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045"
      },
      {
        "chain": "ethereum-mainnet",
        "type": "account",
        "normalizedInput": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045"
      },
      {
        "chain": "ethereum-sepolia",
        "type": "account",
        "normalizedInput": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045"
      },
      {
        "chain": "base-mainnet",
        "type": "account",
        "normalizedInput": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045"
      }
    ]
  }
}